## com.lowagie.tools
Class SwingWorker.ThreadVar

    java.lang.Object
      com.lowagie.tools.SwingWorker.ThreadVar

Enclosing class:
  SwingWorker

    private static class SwingWorker.ThreadVar

extends java.lang.Object

Class to maintain reference to current worker thread under separate synchronization control.

Field Summary
`private java.lang.Thread` `thread`

Constructor Summary
`SwingWorker.ThreadVar(java.lang.Thread t)`

Method Summary
`(package private) void` `clear()`
`(package private) java.lang.Thread` `get()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thread

    private java.lang.Thread thread

Constructor Detail

### SwingWorker.ThreadVar

    SwingWorker.ThreadVar(java.lang.Thread t)

Method Detail

### get

    java.lang.Thread get()

### clear

    void clear()